# The KTaglib_ID3v2_Tag class

(0.0.1)

## Introduction

Represents and ID3v2 tag. It provides a list of ID3v2 frames and can be used to add and remove additional frames.

## Class synopsis

extends KTaglib_Tag {
/* Methods */
public addFrame ( KTaglib_ID3v2_Frame `$frame` ) : bool
public getFrameList ( void ) : array
/* Inherited methods */
public KTaglib_Tag::getAlbum ( void ) : string
public KTaglib_Tag::getArtist ( void ) : string
public KTaglib_Tag::getComment ( void ) : string
public KTaglib_Tag::getGenre ( void ) : string
public KTaglib_Tag::getTitle ( void ) : string
public KTaglib_Tag::getTrack ( void ) : int
public KTaglib_Tag::getYear ( void ) : int
public KTaglib_Tag::isEmpty ( void ) : bool
}

## Table of Contents

- KTaglib_ID3v2_Tag::addFrame — Add a frame to the ID3v2 tag
- KTaglib_ID3v2_Tag::getFrameList — Returns an array of ID3v2 frames, associated with the ID3v2 tag